Skip to main content
POST
/
api
/
x402
/
v1
/
linkedin
/
find-url
Find LinkedIn profile URL via public search engines (x402-paid, $0.008 USDC)
curl --request POST \
  --url https://api.example.com/api/x402/v1/linkedin/find-url \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "company": "<string>",
  "location": "us"
}
'
{
  "status": "<string>",
  "query": "<string>",
  "linkedin_url": "<string>",
  "profiles": [
    {
      "url": "<string>",
      "title": "",
      "snippet": "",
      "match_confidence": 123,
      "match_reason": "<string>"
    }
  ],
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json

Request body for POST /api/x402/v1/linkedin/find-url.

name
string
required

Full name of the person

Required string length: 1 - 120
company
string | null

Optional company or organization name

Maximum string length: 200
location
string
default:us

Two-letter ASCII country code used to bias the search region

Required string length: 2

Response

Successful Response

status
string
required
query
string
required
linkedin_url
string | null
profiles
LinkedInProfile · object[]
metadata
Metadata · object